## ggml 0.0.2471

=== debian/changelog ===
ggml (0.0.2471-1) unstable; urgency=medium

  * Update upstream based on 323951f

 -- Mathieu Baudier <mbaudier@argeo.org>  Tue, 19 Aug 2025 09:24:57 +0000
